﻿Module modGlobalVar

    '**********************************************************************************************
    '*** list of global defined variables
    '**********************************************************************************************

    'RoboTXController operation
    Public glComChannels(100) As String                 'all COM connection channels of the system, full name
    Public glFtHdl As Object                            'hanle to connected RoboTCController

    'function chain, main control
    Public glWC001FirstLoop As Boolean                  'working cycle 001 defines if init is neccessary
    Public glWC002FirstLoop As Boolean                  'working cycle 002 defines if init is neccessary
    Public glWC003FirstLoop As Boolean                  'working cycle 003 defines if init is neccessary

    'function chain, sensor and actor control
    Public glMotorSpeedLeft As Integer                  'motor speed turning left 0...512 (0=stop)
    Public glMotorSpeedRight As Integer                 'motor speed turning right 0...512 (0=stop)

    'bar code reading
    Public glRawReading(10000) As UShort                'bar code reading raw data
    Public glRawDataReady As Boolean = False            'is TRUE, when new raw data had been collected

    'bar code encoding
    Public glRawSummary(100) As UInteger                'counts equal elements per block

    'thread for com connection
    Public glThreadComConOK As Boolean                  'indicates connection sucsess or failure
    Public glComSelectionMod As String                  'contains the com channel to be connected


End Module
